org.infinispan.schematic.internal.delta

## Class PutIfAbsentOperation

- java.lang.Object
- - org.infinispan.schematic.internal.delta.Operation
  - - org.infinispan.schematic.internal.delta.PutIfAbsentOperation

-     @SerializeWith(value=PutIfAbsentOperation.Externalizer.class)
      public class PutIfAbsentOperation
      extends Operation

  An atomic put-if-absent operation for SchematicValueDelta.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PutIfAbsentOperation.Externalizer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `fieldName`
    `protected Object` | `newValue`

    - ### Fields inherited from class org.infinispan.schematic.internal.delta.Operation

      `parentPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutIfAbsentOperation(Path parentPath, String fieldName, Object newValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PutIfAbsentOperation` | `clone()`
    `boolean` | `equals(Object obj)`
    `String` | `getFieldName()`
    `Object` | `getNewValue()`
    `int` | `hashCode()`
    `boolean` | `isApplied()`
    `void` | `replay(MutableDocument delegate)`
    `void` | `rollback(MutableDocument delegate)`
    `String` | `toString()`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.Operation

      `cloneValue, equalsIfNotNull, getParentPath, mutableParent`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fieldName

          protected final String fieldName

    - #### newValue

          protected final Object newValue

  - ### Constructor Detail

    - #### PutIfAbsentOperation

          public PutIfAbsentOperation(Path parentPath,
                              String fieldName,
                              Object newValue)

  - ### Method Detail

    - #### clone

          public PutIfAbsentOperation clone()

      Specified by:
        `clone` in class `Operation`

    - #### getNewValue

          public Object getNewValue()

    - #### getFieldName

          public String getFieldName()

    - #### isApplied

          public boolean isApplied()

    - #### rollback

          public void rollback(MutableDocument delegate)

      Specified by:
        `rollback` in class `Operation`

    - #### replay

          public void replay(MutableDocument delegate)

      Specified by:
        `replay` in class `Operation`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Operation`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.